.checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    cursor: pointer;
    position: relative;
    display: inline-block;

    input {
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        position: absolute;

        &:checked + .checkbox__label {

            &:before {
                background: $blue;
                border-color: $blue;
            }

            &:after {
                opacity: 1;
                visibility: visible;
                transition: .25s;
            }
        }
    }

    &__label {
        color: $black;
        font-size: toRem(12);
        line-height: toRem(24);
        position: relative;
        padding-left: 36px;
        display: inline-block;

        &:before {
            top: 2px;
            left: 0;
            content: '';
            width: 20px;
            height: 20px;
            display: block;
            position: absolute;
            background: $white;
            border-radius: 4px;
            border: 1px solid #828C99;
        }

        &:after {
            top: 6px;
            left: 7px;
            z-index: 5;
            content: '';
            width: 6px;
            height: 10px;
            position: absolute;
            border-right: 2px solid $white;
            border-bottom: 2px solid $white;
            transform: rotate(35deg);
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }
    }

    &--sm {

        .checkbox__label {
            font-size: toRem(14);
        }
    }

    &--right {

        .checkbox__label {
            padding-left: 0;
            text-align: right;
            padding-right: toRem(36);

            &:before {
                left: auto;
                right: 0;
            }

            &:after {
                left: auto;
                right: 7px;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__label {
            font-size: toRem(16);
        }

        &--sm {

            .checkbox__label {
                font-size: toRem(14);
            }
        }
    }
}

.pretty-checkbox {
    position: relative;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:focus + .pretty-checkbox__label {

            &:before {
                box-shadow: 0 0 5px #000;
            }
        }

        &:checked + .pretty-checkbox__label {

            &::before {
                background-color: #000;
                border-color: #000;
            }

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : 0.4rem;
                width : 0.8rem;
                border-color : $white;
                border-radius : 0;
                border-width : 2px;
                top : toRem(5);
                left : toRem(4);
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #3a3a3a;
        font-size: toRem(14);
        line-height: toRem(20);
        position: relative;
        padding-left: toRem(30);
        display: inline-block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: toRem(20);
            height: toRem(20);
            display: block;
            position: absolute;
            border: 1px solid $black;
            border-radius: toRem(3);
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : toRem(20);
            width : toRem(20);
            border : 1px solid #DFE3E7;
            position : absolute;
            border-radius : toRem(4);
            top : 0;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }
    }

}
